Bug 20086 - Openoffice падает при старте при установленном пакете openoffice.org-kde
: Openoffice падает при старте при установленном пакете openoffice.org-kde
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openoffice.org-kde)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-05-18 14:32 by
Modified: 2009-06-15 12:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-18 14:32:54
openoofice.org падает при старте в KDE4.

$ oowriter
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: Cannot paint on a null pixmap
QPainter::begin: Cannot paint on a null pixmap
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
QPainter::begin: A paint device can only be painted by one painter at a time.
QPainter::translate: Painter not active
X-Error: BadDrawable (invalid Pixmap or Window parameter)
    Major opcode: 62 (X_CopyArea)
    Resource ID:  0x0
    Serial No:    4146 (4146)
These errors are reported asynchronously,
set environment variable SAL_SYNCHRONIZE to 1 to help debugging

Версии пакетов:
openoffice.org-3.1.0.1-alt1
openoffice.org-kde-3.1.0.1-alt1
kde4base-4.2.3-alt1
libqt4-4.5.1-alt3

После удаления пакета openoffice.org-kde openoffice запускается.
------- Comment #1 From 2009-05-21 21:06:21 -------
От стиля, кажется, не зависит.
------- Comment #2 From 2009-05-21 23:48:42 -------
Валера, это блокер. Мы даже беты с kde выпускать не можем.
------- Comment #3 From 2009-05-22 08:38:04 -------
Согласно http://www.altlinux.org/BugSeverityPolicy это Critical. Но сути от
этого не меняется.
------- Comment #4 From 2009-05-22 10:01:02 -------
к сожалению в qt я не копенгаген. как вариант откатить на kde3, но по моему это
тоже не вариант
------- Comment #5 From 2009-06-06 02:48:56 -------
Пакет openoffice.org-kde не содержит  средств интеграции с kde4, его просто не
надо собирать/включать в беты до разработки соответствующего кода нами или
upstream.
------- Comment #6 From 2009-06-06 17:18:19 -------
Вы б это ещё апстриму сказали, а не RM...
------- Comment #7 From 2009-06-06 17:26:02 -------
(В ответ на комментарий №5)
> Пакет openoffice.org-kde не содержит  средств интеграции с kde4,

как раз содержит

> его просто не
> надо собирать/включать в беты до разработки соответствующего кода нами или
> upstream.

в upstream нет поддержки средств интеграции с каким либо kde
------- Comment #8 From 2009-06-14 01:23:21 -------
openoffice.org-3.1.0.6-alt1 -> sisyphus:

* Thu Jun 11 2009 Valery Inozemtsev <shrek@altlinux> 3.1.0.6-alt1

- 3.1.0.6
- fixed KDE4 vcl plugin (closes: #20086)
- disabled legacy binary file formats filters
------- Comment #9 From 2009-06-15 12:22:11 -------
3.1.0.6-alt2
openoffice.org-kde установлен, но никакой интеграции с kde не видно...
------- Comment #10 From 2009-06-15 12:23:58 -------
(В ответ на комментарий №9)
> 3.1.0.6-alt2
> openoffice.org-kde установлен, но никакой интеграции с kde не видно...

Мне пришлось указать kde4 руками в /etc/sysconfig/